Creates a new custom Role.
HTTP request
POST https://iam.googleapis.com/v1/{parent=projects/*}/roles
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
The
Note: Wildcard (*) values are invalid; you must specify a complete project ID or organization ID. Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"roleId": string,
"role": {
object ( |
| Fields | |
|---|---|
roleId |
The role ID to use for this role. A role ID may contain alphanumeric characters, underscores ( |
role |
The Role resource to create. |
Response body
If successful, the response body contains a newly created instance of Role.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/iamhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.